!---------------------------------------------------------------------------------------
! FLEXINVERT : stdev
!---------------------------------------------------------------------------------------
!> Calculates standard deviation
!---------------------------------------------------------------------------------------

subroutine stdev(n,arr,sd)

      integer :: n,i
      real, dimension(n) :: arr
      real :: x,xsum,sd

      x=sum(arr)/n

      xsum=0.
      do i=1,n
        xsum=xsum+(arr(i)-x)**2
      end do

      sd=sqrt(xsum/n)  

end subroutine stdev
